<script>
<?php if($start->view->alsavalues){ ?>
	<?php foreach ($start->view->alsavalues as $key => $value) { 
		$key = str_replace(' ','_', $key); ?>
		$(function() {
			$( "#<?php echo $key ?>-slider" ).slider({
				range: "min",
				min: <?php echo $value['min'] ?>,
				value: $( "#<?php echo $key ?>" ).attr('value'),
				max: <?php echo $value['max'] ?>,
				slide: function( event, ui ) {
					$( "#<?php echo $key ?>" ).val( ui.value );
				}
			});
		});
<?php }} ?>	
</script>

<h1 class="entry-header">
	<?php echo _t("Max2Play - Audiophonics Edition") ?>
</h1>
	
<div class="entry-content">
    <?php $message=$start->view->message;
    	  $error=$start->view->error; 
    	  include(APPLICATION_PATH.'/view/messages.php');?>
			
	<form action="" method="post" id="form1">
		<input type="hidden" id="action" name="action" value="" />		
		<b><?php echo _t('Your installed Audiophonics Card') ?>:</b>&nbsp;
		<select name="dtoverlay">			
		<?php foreach ($start->usbSoundCards as $card => $value) { ?>
			<option value="<?php echo $card ?>" <?php if ($start->view->dtoverlay == $card) echo 'selected'; ?>><?php echo $value['name'] ?></option>
		<?php } ?>			
		</select>
		<a class="button-small clickloading" href="#" onclick="document.getElementById('action').value='save_dtoverlay';$('#form1').submit();"><?php echo _("save") ?></a>		
		<?php if($start->view->alsavalues){ ?>
			<br /><br />
			<div style="float:left;width:70%;">
				<?php foreach ($start->view->alsavalues as $key => $value) { ?>
					<label for="<?php echo str_replace(' ','_', $key) ?>"><?php echo _t("Settings for "). $value['description'] ?></label>
					<input type="text" id="<?php echo str_replace(' ','_', $key) ?>" name="<?php echo str_replace(' ','_', $key) ?>" value="<?php echo $value['value'] ?>" readonly style="width:40px;border:0; color:#f6931f; font-weight:bold;">
					<div id="<?php echo str_replace(' ','_', $key) ?>-slider"></div>
					<br />				
				<?php }?>
			</div>
			<div style="float:left;width:25%;margin-left:19px;">
			<?php echo _t("Set up volume and boost to suit your needs. Set to optimum value for best performance and click save.")?>
			</div>						
			<br style="width:100%;clear:both;" />
		<?php }?>
		<br /><br />
		
		<?php if($start->easyinstaller == 1) include_once(APPLICATION_PATH.'/plugins/max2play_settings/view/easyinstaller.php'); ?>
		<br />
		
		<h2><?php echo _t("Additional Settings for Audiophonic")?></h2>		
		 <div id="tabs-min">
		  <ul>
		    <li><a href="#tabs-1"><?php echo _t("Power Button");?></a></li>
		    <li><a href="#tabs-2"><?php echo _t("Display");?></a></li>	    
		  </ul>
		  <div id="tabs-1">
		    <p>		    
		    <?php echo _t("Set-up the Power Button: static light after startup and shutdown device on button press.");?>		 			 	
		 	<br /><br />
		 	<?php if ($start->pwrbutton_installed !== FALSE) { ?>
		 	    <?php if ($start->pwrButtonPID) { ?>
		 		  <?php echo _t('Power Button script currently running with PID').' <b>'.$start->pwrButtonPID ?></b>
		 		<?php } else { ?>
		 		  <?php echo _t('Power Button script NOT Running!') ?>
		 		<?php } ?>		 		
		 			 				 		
		 	<?php } else { ?>
		 		<a class="button-small clickloading" href="#" onclick="document.getElementById('action').value='pwrbutton_install';$('#form1').submit();"><?php echo _t("Install Power Button Software") ?></a>
		 	<?php } ?>
		 	<br /><br />
		 	<b><?php echo _t('Autostart Power Button') ?>:</b>
			<input type="checkbox" <?php if($start->autostartpowerbutton) echo "checked"; ?> value="1" name="autostartpowerbutton" />
			<input type="button" value="<?php echo _('save') ?>" name="save_autostart_pwrbutton" onclick="document.getElementById('action').value='pwrbutton_save';submit();" />
		 	<br />
		 	
		 	</p>
		  </div>
		  <div id="tabs-2">
		    <p>
		    <?php echo _t("Install and configure the Winstar OLED Display");?><br />
		    <?php echo _t("The installer will automatically set all values for you. Choose the purpose of this player (Squeezebox / MPD) before installing the display.");?>
		    <br /><br />
		 	<?php if ($start->display_installed !== FALSE) { ?>
		 	    <?php if ($start->displayPID) { ?>
		 		  <?php echo _t('Display script currently running with PID').' <b>'.$start->displayPID ?></b>
		 		<?php } else { ?>
		 		  <?php echo _t('Display script NOT Running!') ?>
		 		<?php } ?>		 		
		 	    <br />
		 	    <a class="clickloading" href="#" onclick="document.getElementById('action').value='display_install';$('#form1').attr('method', 'get');$('#form1').submit();"><?php echo _t("RE-Install Display Software") ?></a>
		 	<?php } else { ?>
		 		<a class="button-small clickloading" href="#" onclick="document.getElementById('action').value='display_install';$('#form1').attr('method', 'get');$('#form1').submit();"><?php echo _t("Install Display Software") ?></a>
		 	<?php } ?>
		 	<br /><br />
		 	<b><?php echo _t('Autostart Display Manager') ?>:</b>
			<input type="checkbox" <?php if($start->autostartdisplay) echo "checked"; ?> value="1" name="autostartdisplay" />
			<input type="button" value="<?php echo _('save') ?>" name="save_autostart_display" onclick="document.getElementById('action').value='display_save';submit();" />
		 	<br /><br />
		 	<?php echo _t("Thanks to dhrone and the Github Repository https://github.com/dhrone/Raspdac-Display for sharing this Display Manager!");?>
		    </p>
		  </div>	  
		</div>
	
	  <script>
	  $(function() {
	    $( "#tabs-min" ).tabs();
	  });
	  </script>
		
	 <br /><br />	
			
	</form>
	
	<h2><?php echo _("Welcome to Max2Play - Your easy to use Interface for Multiroom-Audio and Video!")?></h2>	
	<br />
	<?php echo _("The Max2Play Web Interface is used to configure the device without having to set up monitor, keyboard and mouse on the device itsself or login by ssh.<br />All settings are directly written to the players config files."); ?><br />  
	<br />	
		
	<?php echo _("Max2Play gives you the best experience with High-Quality Sound together with an easy configuration and control. With the extensions of Max2Play you can easily choose and install new features like the following:")?>	
	<br /><br />
	
	<h1 class="entry-header">
		<?php echo _("Features with Max2Play"); ?>
	</h1>
	<ul class="description">
	<li><?php echo str_replace('|', '</li><li>', _("!FEATURE LIST")); ?>
	</li>
	</ul>
	
	<h1 class="entry-header">
		<?php echo _("Premium Features with Max2Play"); ?>
	</h1>
	<ul class="description">
	<li><?php echo str_replace('|', '</li><li>', _("!FEATURE LIST PREMIUM")); ?>
	</li>
	</ul>
	<a style="float:left;" href="https://shop.max2play.com/en/max2play-full-license.html/" target="_blank"><img src="http://shop.max2play.com/media/wysiwyg/Premium-box-en_white.png" /></a>		
	<br /><br />
	<?php echo _("<b>Max2Play</b> makes the configuration as easy as possible. There is no need for connecting a monitor, a keyboard or a mouse on the device itself. It all runs headless and no special tools like Putty are needed! This webinterface is optimized for smartphones and all actions can also be called from external HTTP-Requests like Smarthome-Servers."); ?>
	
	<br style="clear:both" />
	<br />
	  	
	<h3><?php echo _("What is Max2Play?")?></h3>
	<br />	
	<iframe width="560" height="315" src="<?php echo _("//www.youtube.com/embed/pZB4aSiW4c0")?>" frameborder="0" allowfullscreen></iframe>	
	
	<br /><br />
	<?php echo _('Questions concerning this project? Please refer to <a href="http://www.max2play.com" target="_blank">www.Max2Play.com</a>') ?><br />	
		
</div>	